Subject: bug#76413: [PATCH] New macro 'compf' for composing functions

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Feb 2025 12:09:59 -0500

> I think it's as clear as any macro: it's obscure until the first time you
> use it.  Like cl-callf, which likewise takes an unquoted function name.

FWIW, I find that aspect of `cl-callf` annoying.
It's easier to add a `function` quote with the two-char #' than it is to
remove an implicit one, for which you need a wrapper of the form
(lambda (x) (funcall ... x))

        Stefan